%define name hfsutils
%define version 3.2.6
%define release 2mdk

Summary: tools for reading and writing Macintosh HFS volumes
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Group: File tools
%package -n hfsutils-devel


Summary: C library for reading and writing Macintosh HFS volumes
Group: File tools

%description
A portable, free implementation of routines for accessing HFS volumes.
Provides this through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description -n hfsutils-devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --with-tcl --with-tk --enable-devlibs --prefix=/usr
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT ;fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
make install prefix=$RPM_BUILD_ROOT/usr 
make install_lib prefix=$RPM_BUILD_ROOT/usr 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc BLURB CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
/usr/bin/*
/usr/man/man1/*

%files -n hfsutils-devel
%defattr (-,root,root)
/usr/lib/libhfs.a
/usr/include/hfs.h

%changelog 
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.6-2mdk
- fix group 
- fix files section

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
